@echo off
echo ================================================================
echo         Making project: Any2DB v1.4
echo ================================================================
if exist Any2DB.obj del Any2DB.obj
if exist Any2DB.exe del Any2DB.exe
d:\masm32\bin\ml /c /coff /nologo Any2DB.asm
if errorlevel 1 goto err_asm
d:\masm32\bin\rc Any2DB.rc
if errorlevel 1 goto err_res
d:\masm32\bin\Link /ALIGN:16 /MERGE:.rdata=.data /SUBSYSTEM:WINDOWS Any2DB.obj Any2DB.res
if errorlevel 1 goto err_lnk
goto success

:err_asm
echo ----------------------------------------------------------------
echo ERROR: .asm file could not be compiled
echo ----------------------------------------------------------------
goto end_err

:err_res
echo ----------------------------------------------------------------
echo ERROR: .rc file could not be processed
echo ----------------------------------------------------------------
goto end_err

:err_lnk
echo ----------------------------------------------------------------
echo ERROR: .obj file could not be linked
echo ----------------------------------------------------------------
goto end_err

:end_err
echo Press any key to close this window...
pause > nul

:success
del Any2DB.obj